Rule-based renderer should allow reordering after rules have been created

2010-10-05 06:56 AM - Andreas Neumann

Status: Closed

Priority: Low

Assignee:

Category: GUI

Pull Request or Patch supplied:No Resolution: fixed

Easy fix?: No Copied to github as #: 13144

Description

If rules are created in the rule-based renderer one cannot change the order after the rule creation. Often one discovers at a later stage,

that one rule should come before the other rule.

The only way to fix the order is currently going to the XML (.qgs) file and change the order in a text/XML editor.

History

#1 - 2010-10-05 07:01 AM - Andreas Neumann

It would be nice if one would have "up/down" arrows, just like in the symbol properties dialogue of the new symbology settings.

Of course it is a little more complicated, as rules of a parent can only be shifted within the parent, if they are grouped (e.g. by scale or a certain property).

So there are some restrictions in the reorderings of rules.

#2 - 2011-12-16 01:55 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2011-12-29 01:33 AM - Richard Duivenvoorde

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

Andreas,

do the increase and decrease button not exactly what you are asking for?

If so, we can close this ticket :-)

If not, maybe elaborate a little more?

#4 - 2011-12-29 02:19 AM - Andreas Neumann

- Resolution set to fixed

- Status changed from Open to Closed

This was solved quite a while ago (I think with a patch from Mayeul Kaufmann) - true.

However, Martin Dobias is again working on it to make the whole rule-based renderer more compliant with OGC Symbology Encoding rules.
As part of this process he will also revisit grouping and ordering of rules.

But yes, we can close this bug for now.
